// Created by Simon Bruegel
(function() {
  function PDF() {
    return {
      elementTag: 'PDF',

      label: 'PDF',

      category: 'basic-html',

      groups : ["Other"],

      isVisibleInPalette: true,

      properties: [
        {
          name: 'class',
          label: 'Class',
          datatype: 'string',
          default: ''
        },
        {
          name: 'visible',
          label: 'Visible',
          datatype: 'boolean',
          default: true,
          isBindingTarget: true
        },
        {
          name: 'src',
          label: 'Resource',
          datatype: 'resource_url',
          allowedPatterns: ['.pdf'],
          default: '',
          isBindingTarget: true
        },
        {
          name: 'width',
          label: 'Width',
          datatype: 'string',
          default: '100%'
        },
        {
          name: 'height',
          label: 'Height',
          datatype: 'string',
          default: '100%'
        },
        {
          name: 'currentPage',
          label: 'Current Page',
          datatype: 'string',
          isBindingTarget: true,
          default: ''
        }
      ],

	  dependencies: {
         files: ['PDF/**']
    },

    runtimeTemplate: function (props) {
        var tmpl = '<div style="width:{{me.width}}; height:{{me.height}}; overflow:hidden;">' +
                     '<iframe ng-src="{{(\'extensions/PDF/viewer.html?file=\' + (me.src.includes(\'http\') ? (me.src | trustUrl) : \'../../\' + me.src) + (me.currentPage != \'\' ? \'#\' + me.currentPage : \'\' ) | trustUrl)}}" style="width:100%; min-height: 100%; height:100%;" frameborder="0"></iframe>' +
                     '</div>';
        return tmpl;
    }

      // List of events that will displayed in the widget properties panel

      /** HTML used to when the widget is rendered within the app at runtime (in Preview or View)
       * @param {*} props: widgetProperties Widget Properties Object
       * @param {*} twxWidgetEl:  cheerio/jquery element with contained widgets
       * @param {*} fullOriginalDoc entire view element, with all widgets
       * @param {*} $ Cheerio/jquery helper instance
       */

    };
  }
  twxAppBuilder.widget('PDF', PDF);

}());
